Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.csus.ecs.pc2.api
Interface IJudgement

    public interface IJudgement

This interface describes the PC2 API view of a contest Judgement. A Judgement represents one of the judgement values which the Contest Administrator has configured into the contest settings and from which a Judge may choose when assigning a result to any particular submitted run.

This documentation describes the current draft of the PC2 API, which is subject to change.

Version:
  $Id: IJudgement.java 1303 2008-02-20 03:59:22Z clevengr $
Author:
  pc2@ecs.csus.edu

Method Summary
`boolean` | `equals(Object obj)` Check whether this Judgement is the same as some other Judgement.
`String` | `getName()` Get the name for this judgement.
`int` | `hashCode()` Get the hashcode associated with this client.

Method Detail

### getName

    String getName()

  Get the name for this judgement.

  Returns:
    A String containing the name of this judgement.

### equals

    boolean equals(Object obj)

  Check whether this Judgement is the same as some other Judgement.

  Determination of whether two Judgements are equal is based on whether they refer to the same Judgement as originally created in PC2 by the Contest Administrator. Note in particular that subsequent changes to a Judgement made by the Contest Administrator (for example, changes to the Judgement name) do not affect the result of the `equals()` method; if this Judgement refers to the same Judgement as the one indicated by the specified parameter, this method will return true regardless of whether the internal contents of the two Judgement objects is identical or not.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the Judgement which is to be compared with this Judgement for equality.
  Returns:
    True if the specified object refers to the same Judgement as this Judgement (regardless of the actual content of the two Judgement objects).

### hashCode

    int hashCode()

  Get the hashcode associated with this client.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    An integer hashcode for this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD